Subject: Re: [bug#56770] [PATCH] gnu: Add grimshot.

From: Maxime Devos <[email-masked]>
Date: Tue, 26 Jul 2022 17:52:00 +0200

On 26-07-2022 17:46, Maxime Devos wrote:
>
>> + (copy-recursively
>> +           (string-append #$(package-source this-package) 
>> "/contrib") ".")
> I would have expected trivial-build-system to automatically unpack the 
> source, so maybe this can be simplified to (chdir "/contrib") (untested!) 

Or even simpler: remove this line, and add (source (file-append 
(package-source sway) "/contrib")) as a field.

A quick  "git grep -F '(source (file-append" doesn't result in any 
packages already doing that, but it seems a perfect fit here to me ...  
OTOH, this probably interferes with --with-git-url and such, so I'd 
guess better not.

Greetings,
Maxime.